#ifndef __GUI_H__
#define __GUI_H__

/**
 * draw a 3D button at x,y with text
 */
void GUI_3Dbutton(char *text, int x, int y);

/**
 * draw a beveled button at x,y with text
 */
void GUI_button(char* text, int x, int y);

/**
 * draw a button at x,y with text and color parameters with 3D option
 */
void GUI_button_parms(char * text, int fgcolor, int bgcolor, int x, int y, int w, int h, int thrd);

/**
 * draw a label at x,y with text
 */
void GUI_label(char *text, int x, int y);

/**
 * draw an underlined label at x,y with text
 */
void GUI_labelUL(char *text, int x, int y);

/**
 * draw a panel at x,y with w=width and h=height
 */
void GUI_panel(int x, int y, int w, int h);

/**
 * draw an etched panel at x,y with w=width and h=height
 */
void GUI_panelEtched(int x, int y, int w, int h);

/**
 * draw a panel label
 */
void GUI_panelLabel(char *text);

/**
 * draw a panel at x,y with w=width and h=height with bgcolor and etch option
 */
void GUI_panel_parms(int bgcolor, int x, int y, int w, int h, int etch);

/**
 * draw text
 */
void GUI_text(char *text);

/**
 * set text color
 */
void GUI_textColor(int color);

#endif
// __GUI_H__
